diff --git a/debian/changelog b/debian/changelog
index d2a339c..d1b0170 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+debian-installer-launcher (15) UNRELEASED; urgency=low
+
+  * Correctly identifying syslogd/klogd processes to kill when cleaning up
+    since they can no longer be identified as the only processes within the
+    filesystem using the old criteria. (Closes: #702335).
+  * Adding myself to Uploaders.
+
+ -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 24 Mar 2013 16:28:46 -0300
+
 debian-installer-launcher (14) unstable; urgency=low
 
   [ Updated translations ]
diff --git a/debian/control b/debian/control
index a4ba62e..1e106a3 100644
--- a/debian/control
+++ b/debian/control
@@ -3,6 +3,7 @@ Section: utils
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders:
+ Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
  Otavio Salvador <otavio@debian.org>,
  Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 9), lsb-release, po-debconf
diff --git a/plugins/live b/plugins/live
index 1c93e25..78b5a7a 100644
--- a/plugins/live
+++ b/plugins/live
@@ -90,14 +90,8 @@ EOF
 
 live_cleanup () {
 	# Stopping syslogd/klogd
-	# ->the sed horror could be improved (FIXME;)
-	# string: [A-Z][a-z]: [0-9] [0-9]rce [0-9]...
-	# we only want the [0-9]rce, but without the rce.
-	for PID in $(fuser -m /lib/live/installer/var/log/syslog 2>&1 | \
-		sed "s,.*: ,,g;s, ,\n,g" | grep 'rce$' | \
-		sed -e 's/rce//g'); do
-		kill -9 $PID > /dev/null 2>&1 || true
-	done
+	# These processes are assumed to be the only users of busybox within the chroot
+	fuser -k /lib/live/installer/bin/busybox
 
 	# Unmounting filesystems
 	for fs in /cdrom /dev/pts /dev /proc /sys /tmp; do
